[SWS-1001] 2.4.1 uses a new minor version of WSS4J Created: 24/Oct/17  Updated: 24/Oct/17  Resolved: 24/Oct/17

Status: Closed
Project: Spring Web Services
Component/s: Security
Affects Version/s: 2.4.1
Fix Version/s: 2.4.2

Type: Bug Priority: Major
Reporter: Andy Wilkinson Assignee: Greg Turnquist
Resolution: Complete Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified


 Description   

2.4.0.RELEASE used WSS4J 2.1.4, but 2.4.1 has jumped to 2.2. Generally speaking, a minor upgrade to a dependency in a maintenance release should be avoided. IMO, 2.4.2 should revert to 2.1.x.



 Comments   
Comment by Greg Turnquist [ 24/Oct/17 ]

Rolled back 2.x branch's wss4j2 to 2.1.11, the latest version of the 2.1 branch.

Generated at Mon Dec 11 15:26:42 UTC 2017 using JIRA 6.4.14#64029-sha1:ae256fe0fbb912241490ff1cecfb323ea0905ca5.